org.apache.fop.fonts

## Interface FontDetector

    public interface FontDetector

An interface for the font detecting mechanism.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `detect(FontManager fontManager, FontAdder fontAdder, boolean strict, FontEventListener eventListener, List<EmbedFontInfo> fontInfoList)`

### Method Detail

#### detect

    void detect(FontManager fontManager,
                FontAdder fontAdder,
                boolean strict,
                FontEventListener eventListener,
                List<EmbedFontInfo> fontInfoList)
         throws FOPException

Throws:
  `FOPException`